Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040037
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-01-25 12:442019-02-15 09:49
Reportersamuel_nicuesaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision1d1d293ef581
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040037: Problem using multi price list with price list versions defined

DescriptionUsing multi price list (price list associated to clients) if these price lists have price list versions defined, after executing an incremental refresh, if a new list price version has been defined the new price is loaded in Web POS but the oldest price is still there.
The query uses one of them randomly.
Steps To Reproduce[BO]

Go to livebuilds

Channel -Touchpoint -> MPL1

Navigate to Organization - > Price List

Create a new Price List Version for Sale Price List Customer VIP

Add one product (Adhesive body warmers) and fill the price (9.00)

[POS]

Do login

Search the product

You will see the new price defined or the oldest one.(randomly)

In local database you will also see the oldest price.
Proposed SolutionThe product price will have a new column (valid from of price list version).
The Web POS query needs filter by this new field, order by created desc and get the first record.
TagsNo tags attached.
Attached Filespng file icon Multipricelist.png [^] (182,486 bytes) 2019-01-25 12:44

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109464)
hgbot (developer)
2019-02-04 06:26

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 82f5305432412d949611e68852bef60fce59b35b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Feb 04 10:56:08 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/82f5305432412d949611e68852bef60fce59b35b [^]

Related to issue 40037 : Added orderBy to filter product price with multiple priceList version

---
M src/org/openbravo/retail/posterminal/master/ProductPriceProperties.java
M web/org.openbravo.retail.posterminal/js/model/productprice.js
---
(0109465)
hgbot (developer)
2019-02-04 06:26

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 1d1d293ef5815a7c5c69e42791f36ea0acc39a5e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Feb 04 10:56:19 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1d1d293ef5815a7c5c69e42791f36ea0acc39a5e [^]

Fixed issue 40037 : Added orderBy to filter product with multiple priceList version

---
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---

- Issue History
Date Modified Username Field Change
2019-01-25 12:44 samuel_nicuesa New Issue
2019-01-25 12:44 samuel_nicuesa Assigned To => Retail
2019-01-25 12:44 samuel_nicuesa File Added: Multipricelist.png
2019-01-25 12:44 samuel_nicuesa Regression date => 2019-02-15
2019-01-25 12:44 samuel_nicuesa Triggers an Emergency Pack => No
2019-01-25 17:50 jfrances Issue Monitored: jfrances
2019-01-28 13:41 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-01-28 13:41 ranjith_qualiantech_com Status new => scheduled
2019-02-04 06:26 hgbot Checkin
2019-02-04 06:26 hgbot Note Added: 0109464
2019-02-04 06:26 hgbot Checkin
2019-02-04 06:26 hgbot Note Added: 0109465
2019-02-04 06:26 hgbot Status scheduled => resolved
2019-02-04 06:26 hgbot Resolution open => fixed
2019-02-04 06:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/1d1d293ef5815a7c5c69e42791f36ea0acc39a5e [^]
2019-02-14 17:36 ngarcia Regression date 2019-02-15 =>
2019-02-15 09:49 marvintm Review Assigned To => marvintm
2019-02-15 09:49 marvintm Status resolved => closed
2019-02-15 09:49 marvintm Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker